FileReader
Date: 2014-08-08

melting

## Class FileReader

- java.lang.Object
- - melting.FileReader

-     public class FileReader
      extends java.lang.Object

  This class is useful to parse the xml files containing the thermodynamic parameters and load the data (stock them in a map).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.HashMap<java.lang.String,java.util.HashMap<java.lang.String,Thermodynamics>>` | `getLoadedData()` This method is called to get the loadedData of FileReader.
    `static java.util.HashMap<java.lang.String,Thermodynamics>` | `readFile(java.io.File file)` stocks the thermodynamic parameters from the file in a HashMap.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileReader

          public FileReader()

  - ### Method Detail

    - #### getLoadedData

          public static java.util.HashMap<java.lang.String,java.util.HashMap<java.lang.String,Thermodynamics>> getLoadedData()

      This method is called to get the loadedData of FileReader.
      Returns:
        the loadedData of FileReader.

    - #### readFile

          public static java.util.HashMap<java.lang.String,Thermodynamics> readFile(java.io.File file)
                                                                             throws javax.xml.parsers.ParserConfigurationException,
                                                                                    org.xml.sax.SAXException

      stocks the thermodynamic parameters from the file in a HashMap.
      Parameters:
        `File` - file : file containing the thermodynamic parameters to load.
      Returns:
        HashMap map containing the file parameters.
      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException` - If an IOException is catch, a FileException is thrown.